ant-git

Clone Tools
  • last updated 24 mins ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Merge tag 'rel/1.9.15' and prepare for next release

Tagging version 1.9.15 of Ant

    • -3
    • +3
    /src/etc/poms/ant-apache-log4j/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-regexp/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-resolver/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-xalan2/pom.xml
  1. … 16 more files in changeset.
develop snaps can not be promoted

prepare the Ant 1.9.15 release

    • -3
    • +3
    /src/etc/poms/ant-apache-log4j/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-regexp/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-resolver/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-xalan2/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-commons-logging/pom.xml
  1. … 10 more files in changeset.
recommend using ant.tmpdir

rmic has been removed in Java 15+

    • -25
    • +33
    /src/etc/testcases/taskdefs/rmic/rmic.xml
    • -2
    • +20
    /src/tests/antunit/taskdefs/rmic-test.xml
provide a magic property that overrides temp directory

  1. … 16 more files in changeset.
Happy New Decade!

bad indentation and missing heading

adapt runant.py to Python3

closes #96, thanks to @twogee

snap publishing for the 1.9.x branch

cherry-pick updated wiki location in manual

improve error message if Java cannot be found

Validating contents of resources fetched via insecure channels

updated default m2 repository location

Use HTTPS URL for fetching doc generation tool

this is why we still use env and friends

Add a note in ReleaseInstructions to check the copyright year in NOTICE file

SHA1 checksum is no longer recommended by Apache release process

The Apache release process no longer recommends using SHA1 checksums

for artifacts http://www.apache.org/dev/release-signing.html#sha1.

The commit here removes generation of SHA1 for Ant distribution artifacts.

Furthermore, the checksum generation for artifacts that we upload to

Maven is also now removed, since the Nexus instance generates those dynamically

when the artifacts are uploaded to Nexus as stated at

http://www.apache.org/dev/publishing-maven-artifacts.html#prepare-release :

"You don't need artifacts for your checksum files (if you create any) since Nexus

will create MD5 and SHA1 checksums on the fly anyway."

Merge tag 'rel/1.9.14' into 1.9.x branch

Tagging version 1.9.14 of Ant

    • -3
    • +3
    /src/etc/poms/ant-apache-log4j/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-regexp/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-resolver/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-xalan2/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-commons-logging/pom.xml
  1. … 14 more files in changeset.
Use the new working URL to fetch the Txt2Html.java from Tomcat repo, for converting WHATSNEW into a html file

add missing license header

new year, well not that new anymore

Release RC1 of 1.9.14

    • -3
    • +3
    /src/etc/poms/ant-apache-log4j/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-regexp/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-resolver/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-apache-xalan2/pom.xml
    • -3
    • +3
    /src/etc/poms/ant-commons-logging/pom.xml
  1. … 9 more files in changeset.
Update WHATSNEW for 63226

bz-63226 Doc change - mention that "list" operation honours "followsymlinks" attribute in ftp task

Call InetAddress.isReachable instead of using reflection, now that we require Java 5 runtime for Ant

respect failOnError when running ls checkout - Bugzilla 63071

I've decided to break backwards compatibility with the way I've

overridden runS. The "proper" way would have been to call the one-arg

version from the two-arg version so that subclasses overriding runS

would still get their method called. But I figured it to be extremely

unlikely that such subclasses exist.

the task does not extend ExecTask (anymore?)

Update the install.html and ant-jsch pom.xml to use the newer 0.1.55 version of jsch library

Upgrade Jsch library to 0.1.55